Subject: Re: [ppsp] [alto] Fw: ppsp(peer to peer streaming protocol) barbofagenda

From: "zhangyunfei" <[email-masked]>
Date: Wed, 18 Mar 2009 14:05:09 +0800

Thanks for the comments,DePriest.Please see inline for the details.

zhangyunfei
2009-03-18

发件人： DePriest, Greg (NBC Universal)
发送时间： 2009-03-18 00:35:30
收件人： Yunfei Zhang
抄送： Craig Seidel; Woundy, Richard; [email-masked]
主题： RE: [alto] Fw: [ppsp] ppsp(peer to peer streaming protocol) barbofagenda

[Limited  distribution]

I've  read  your  paper  and  have  two  questions:

a)    How  do  you  propose  to  identify  desired  content?

In  other  words,  when  does  a  P2P  streaming  client  identify  the  specific  piece  of  content  sought?

I guess you mean how instead of when,right?In current p2p streaming applications, different p2p streaming client indentifies contents in its "own network"using proprietary protocols,e.g., getting peer list and exchanging bitmap for content sought.In PPSP, there may be a standard message format (common bitmap,maybe)to express what content a peer has.In this way different p2p streaming client can identify the specific content even from other networks.Of course for exisiting p2p streaming applications there may involve a conversion from proprietary bitmap to common bitmap while keeping its content control by DRM or other means. 

b)    As  you  may  know,  there  is  a  large  P2P  piracy  problem  in  the  US  and  it  is  beginning  to  show  up  in  P2P  streaming  of  real-time  sporting  events.    

Is  there  a  way  to  link  your  proposed  protocol  with  the  legal  distribution  of  content?    I'm  thinking  you  might  include  a  method  to  identify  and  filter  pirated  content  from  your  "network."    Is  this  possible?
Good point.I do think PPSP may integrate with some DRM or other content protection means for legal distribution of content or keeping independence of different p2p streaming applications.On the other side,for an operatable and manageable "private network"envrinment,this is a necesary step to do such filtering.

From  a  content  owner's  perspective,  it  is  certainly  desirable.

Best,

Greg    

-----Original  Message-----
From:  [email-masked]  [mailto:[email-masked]]  On  Behalf  Of  Yunfei  Zhang
Sent:  Tuesday,  March  17,  2009  2:04  AM
To:  alto
Subject:  [alto]  Fw:  [ppsp]  ppsp(peer  to  peer  streaming  protocol)  bar  bofagenda

Hi,all,
     The  primary  PPSP(p2p  streaming  protocol)  bar  bof  agenda  is  as  follows.Any  suggestions  and  contributions  are  welcome.
     
PPSP  Bar  BoF--  IETF  74,  San  Francisco
   2000-2200  Monday,March  23,Continental  3.  
   Mailing  list$B!'([email-masked]  http://www.ietf.org/mailman/listinfo/ppsp

Agenda
-  Introduction                                            (Yunfei  Zhang,50')                                                                                                                                                                
-  Problem  Statement                                  (Yunfei  Zhang,  50')
   draft-zhang-ppsp-problem  statement-01(http://www.ietf.org/internet-drafts/draft-zhang-ppsp-problem-statement-01.txt)
-  Protocol  Requirements                                                                                                                                                                                    (Ning  Zong,  35')
   draft-zong-ppsp-reqs-00(http://www.ietf.org/internet-drafts/draft-zong-ppsp-reqs-00.txt  )

-  Protocol  Analysis  of  PPlive  and  PPStream  by  Interent  Measurement                                                                                              (Yunfei  Zhang,15')
   draft-zhang-ppsp-protocol-comparison-measurement-00(http://www.ietf.org/internet-drafts/draft-zhang-ppsp-protocol-comparison-measurement-00.txt  )

-  Introduction  of  Distributed  Services  Network,  a  vision  of  making  PPSP  and  P2PSIP  into  reality                    (Yunfei  Zhang,  15')
   draft-zhang-ppsp-dsn-introduction-00(http://www.ietf.org/internet-drafts/draft-zhang-ppsp-dsn-introduction-00.txt  )

  $B!!(J          

   Best  regards!
   Sincerely  yours,
           Yunfei  
             2009-03-17
*****************************************************

Yunfei  Zhang,  Ph.D.

R&D,  CHINA  MOBILE  COMMUNICATIONS  CORPORATION

Tel:  +86  10  158016966688  ext.  3247

Fax:  +86  10  63601087

MOBILE:  1360-1032-119

*****************************************************

_______________________________________________
alto  mailing  list
[email-masked]
https://www.ietf.org/mailman/listinfo/alto